Bug 374871 - Wireless led no longer working on Inspiron 1501 with b43 driver
Wireless led no longer working on Inspiron 1501 with b43 driver
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
x86_64 Linux
low Severity low
: ---
: ---
Assigned To: John W. Linville
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2007-11-10 12:45 EST by Dario Castellarin
Modified: 2007-12-20 08:49 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-12-20 08:49:44 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Dario Castellarin 2007-11-10 12:45:41 EST
Description of problem:
With the upgrade to kernel, the wireless led of my Dell Inspiron
1501 stopped working, while it used to work with all previous kernel versions.
Wireless networking works without problems though...

Version-Release number of selected component (if applicable):
[dario@localhost ~]$ uname -a
Linux localhost.localdomain #1 SMP Thu Nov 8 22:14:09 EST 2007
x86_64 x86_64 x86_64 GNU/Linux

How reproducible:

Steps to Reproduce:
1. Copy proper firmware files in /lib/firmware/b43
2. modprobe b43
Actual results:
Wireless works, but the wireless led doesn't turn on. Fn+F2 doesn't toggle it

Expected results:
Wireless led turns on during startup, Fn+F2 toggles it.

Additional info:
[dario@localhost ~]$ dmesg | grep b43
b43-phy0: Broadcom 4311 WLAN found
b43-phy0 debug: Found PHY: Analog 4, Type 2, Revision 8
b43-phy0 debug: Found Radio: Manuf 0x17F, Version 0x2050, Revision 2
b43-phy0 debug: Loading firmware version 351.126 (2006-07-29 05:54:02)
Registered led device: b43-phy0:tx
Registered led device: b43-phy0:rx
b43-phy0 debug: Chip initialized
b43-phy0 debug: 32-bit DMA initialized
b43-phy0 debug: Wireless interface started
b43-phy0 debug: Adding Interface type 2
b43-phy0 debug: Using hardware based encryption for keyidx: 0, mac:

Previous kernels didn't register any led devices, but it used to work without
problems. I think this is a new feature that was recently introduced upstream,
that made my wireless led non-functional.
Comment 1 Dave Maley 2007-11-14 23:35:10 EST
I'm seeing the same thing here on my HP dv2120, also a 4311 chipset.  Glad to
provide further details if needed, otherwise will gladly test potential fixes ....
Comment 2 Dario Castellarin 2007-11-20 11:57:07 EST
Same behavior with kernel from Koji build.
Comment 3 Jackie 2007-11-24 12:13:59 EST
I have the same problem on a Dell Inspiron B130 with kernel and
a broadcom 4318 wireless.
Comment 4 Need Real Name 2007-11-26 04:39:05 EST
I have the same problem with a Dell Latitude D620 (b43 driver, 1390/4311 chip)
Also, the radio kill hard switch is not detected anymore.

I have looked in the source, and the problem seems to be in the new rfkill code:
It uses an input polled device and the rfkill module. However the poll function
(in b43/rfkill;c) which tests the radio kill hard switch is never called.
I tried to trace, and it seems that the input polled device open routine (which
starts the poll periodic function) is not called.
I shall investigate further.

Comment 5 Need Real Name 2007-11-26 05:08:36 EST
The following method allows the led and the radio kill hard switch to work:

- Load the rfkill-input module (modprobe rfkill-input) BEFORE the load of the
b43 module.
Then, when the input polled device in b43 is registered, it is connected to the
input_handler in rfkill-input and thus opened, staring the periodic poll.

However in kernel the b43 module depends on the rfkill module
but not on the rfkill-input module.
May be some dependancy is missing.
Comment 6 Dario Castellarin 2007-12-20 05:03:04 EST
I tested today kernel from Koji and the wireless led is back
I noticed that it adds a handler for wireless radio led

Registered led device: b43-phy0:radio

I guess that was the culprit... Good job!

This bug can be closed for what regards me...

Note You need to log in before you can comment on or make changes to this bug.